package de.tudarmstadt.maki.simonstrator.api.component.resourcedistribution;

import de.tudarmstadt.maki.simonstrator.api.component.sensor.location.Location;

/**
 * Marks the availability of a certain resource type for {@link ResourceConsumer}s, which is distributed at
 * a given location.
 */
public interface ResourceDistributionNotification {

	/**
	 * Returns the resource distributor's resource inventory
	 */
	public DistributableResource getResource();

    /**
     * Returns the resource distributor's location.
     */
    public Location getLocation();
}
